Hamsi Manager is a file manager,renamer,id3 tagger,information changer ,.... tool.
Hamsi Manager for developers,users,music listeners,....
Hamsi Manager lisansed with GPLV3.Hamsi Manager is an open source project.

It basically does the following:
-Corrects the character/encoding errors in your system as well as change file encoding from one to another (UTF-8, ISO-8859-9,CP 1254 etc.)
-Arranges everything for you to find your mp3s, files and folders easily
-Deletes the unneeded files (based on your criteria) and folders (such as empty folders) so that your system becomes uncluttered.